<?php
// tòmò web analytics
// Copyright since 2011 by Yves Goergen
// Website: http://unclassified.de/go/tomo
// Licence: GNU General Public License (GPL) Version 3
// Encoding: UTF-8 (without BOM) (auto-detect: °°°°°)
//
// This file is derived from:
// UNB Components
// Copyright since 2007 by Yves Goergen
// Website: http://unclassified.de/go/unb2
// Licence: GNU General Public License (GPL) Version 3
//
// This file contains the UNB locale de-DE class.

if (!class_exists('UnbLocale', false)) require_once dirname(__FILE__) . '/../locale.class.php';

// de-DE locale class.
//
class UnbLocale_de_DE extends UnbLocale
{
	// Locale code.
	protected $code = 'de-DE';
	
	// Native locale name.
	protected $nativeName = 'Deutsch (Deutschland)';

	// Locale importance for its language, used to sort known locales when only a language is requested.
	// This should be roughly the number of people affected by the locale, divided by 1000.
	protected $importance = 77000;   // Source: http://de.wikipedia.org/wiki/Deutsche_Sprache#Verbreitung_der_deutschen_Sprache_weltweit

	// Starting quotation mark.
	protected $quoteStart = '„';

	// Ending quotation mark.
	protected $quoteEnd = '“';

	// Colon.
	protected $colon = ':';

	// The text dictionary.
	protected $dict = array(
		'exception:BadMethodCallException' => 'Ungültiger Methodenaufruf',
		'exception:Exception' => 'Fehler',
		'exception:InvalidArgumentException' => 'Ungültiger Parameter',
		'exception:LengthException' => 'Falsche Länge',

		#'error:2' => 'Der Seitenname ist zu lang.',
		#'error:40' => 'Benutzername {name} ist unbekannt.',

		'error:password security.too short' => 'Mindestens 6 Zeichen erforderlich.',
		'error:password security.equals username' => 'Kennwort darf nicht gleich dem Benutzernamen sein.',
		'error:password security.contains username' => 'Kennwort darf den Benutzernamen nicht enthalten.',
		'error:password security.non ascii' => 'Nur ASCII-Zeichen zulässig.',
		'error:password security.character classes' => 'Mindestens 2 Zeichenklassen aus Zahlen, Kleinbuchstaben, Großbuchstaben und anderen Zeichen erforderlich.',
		'error:password security.repeated character' => 'Kein Zeichen darf 3 mal oder öfter wiederholt werden.',
		'error:password security.simple sequences' => 'Einfache Folgen wie 123 oder abc sind unzulässig.',
		'error:password security.different characters' => 'Mindestens 4 unterschiedliche Zeichen erforderlich.',

		'empty' => 'empty',
		'unit:bytes' => '{#} Bytes',
		'unit:bytes#1' => 'ein Byte',
		'format:decimal' => ',',

		'active' => 'aktiv',
		'add field' => 'Feld hinzufügen',
		'admin opt-out cookie' => 'Admin-Opt-out-Cookie',
		'admin opt-out cookie.do set' => 'Opt-out-Cookie setzen',
		'admin opt-out cookie.do unset' => 'Opt-out-Cookie löschen',
		'admin opt-out cookie.set' => 'Das Admin-Opt-out-Cookie ist gesetzt und gültig. Sie können sich frei auf Ihrer Website bewegen, ohne erfasst zu werden.',
		'admin opt-out cookie.unset' => 'Das Admin-Opt-out-Cookie ist derzeit nicht gesetzt oder ungültig. Alle Ihre Aktionen auf dieser Website werden normal aufgezeichnet.',
		'app info' => 'Anwendungs-Info',
		'available screen' => 'davon verfügbar',
		'bounce' => 'Absprung',
		'campaign' => 'Kampagne',
		'client' => 'Client',
		'column' => 'Spalte',
		'current language' => 'aktuelle Sprache',
		'custom pageview variable' => 'Benutzerdefinierte Variable für den Seitenaufruf',
		'custom pageview variable created' => 'Seitenaufruf-Variable {name} in der Datenbank erstellt.',
		'custom pageview variable create error' => 'Fehler beim Erstellen der Seitenaufruf-Variable {name} in der Datenbank.',
		'custom session variable' => 'Benutzerdefinierte Variable für den Besuch',
		'custom session variable created' => 'Besuchsvariable {name} in der Datenbank erstellt.',
		'custom session variable create error' => 'Fehler beim Erstellen der Besuchsvariable {name} in der Datenbank.',
		'custom variables' => 'Benutzerdefinierte Variablen',
		'custom visitor variable' => 'Benutzerdefinierte Variable für Besucher',
		'custom visitor variable created' => 'Besuchervariable {name} in der Datenbank erstellt.',
		'custom visitor variable create error' => 'Fehler beim Erstellen der Besuchervariable {name} in der Datenbank.',
		'customvar.scope' => 'Bereich',
		'customvar.name' => 'Name',
		'customvar.type' => 'Typ',
		'customvar.notes' => 'Hinweise',
		'customvar.create in database' => 'in der Datenbank erstellen',
		'customvar.in database not configured' => 'in der Datenbank, nicht konfiguriert',
		'customvar.invalid name' => 'ungültiger Variablenname!',
		'customvar.none' => 'Keine Variablen konfiguriert oder in der Datenbank.',
		'customvar.ok' => 'OK',
		'data files status' => 'Status der Datendateien',
		'direct entry' => 'direkter Aufruf',
		'direct entry or bookmark' => 'direkter Aufruf oder Lesezeichen',
		'disabled' => 'deaktiviert',
		'download' => 'Download',
		'enter access password' => 'Geben Sie das Zugangskennwort ein',
		'entry page' => 'Einstiegsseite',
		'exit page' => 'Ausstiegsseite',
		'field' => 'Feld',
		'file size' => 'Dateigröße',
		'filter' => 'Filter',
		'first entry' => 'Erster Eintrag',
		'geoip.country-level database' => 'Länderdatenbank',
		'geoip.city-level database' => 'Städtedatenbank',
		'image zoom' => 'Bildvergrößerung',
		'info and management' => 'Information und Verwaltung',
		'limit visitor log.1' => 'Besucherprotokoll auf',
		'limit visitor log.2' => 'Zeilen begrenzen',
		'loading canceled' => 'Laden abgebrochen',
		'local' => 'lokal',
		'location' => 'Ort',
		'location/duration' => 'Ort/Dauer',
		'login' => 'anmelden',
		'login.temporary' => 'vorübergehend',
		'login.temporary~' => 'Speichert die Anmeldung nur für diese Browsersitzung statt für längere Zeit.',
		'logout' => 'abmelden',
		'mobile device' => 'mobiles Gerät',
		'navigated back' => 'Zurück navigiert',
		'navigated forward' => 'Vorwärts navigiert',
		'no filter set' => 'kein Filter gesetzt',
		'no rdns' => 'kein RDNS',
		'no search terms available' => 'Suchbegriffe nicht verfügbar',
		'not' => 'nicht',
		'not present' => 'nicht vorhanden',
		'operation' => 'Vergleich',
		'options' => 'Optionen',
		'outlink' => 'ausgehender Verweis',
		'overview link' => 'Zurück zur Übersichtsseite',
		'page' => 'Seite',
		'page load time' => 'Seitenladezeit',
		'pageview' => 'Seitenaufruf',
		'pageviews' => 'Seitenaufrufe',
		'public suffix list' => 'Liste der öffentlichen Suffixe',
		'query caption' => 'tòmò-Abfrage',
		'query returned no data' => 'Diese Abfrage liefert keine Daten zurück.',
		'query view' => 'Abfrageansicht',
		'query view intro' => 'Wählen Sie eine Abfrage aus der Liste oben rechts aus, um die Auswertung anzuzeigen.',
		'referring website' => 'Verweisende Webseite',
		'reloaded page' => 'Seite neu geladen',
		'remove column' => 'Spalte entfernen',
		'returning visitor' => 'wiederkehrender Besucher',
		'reverse visitor log order' => 'Reihenfolge umkehren und neueste Seitenaufrufe zuerst anzeigen',
		'revisited page' => 'Seite erneut besucht',
		'screen size' => 'Bildschirmgröße',
		'search engine' => 'Suchmaschine',
		'search image' => 'Gefundenes Bild',
		'section expand' => 'Bereich geöffnet',
		'select query' => 'Abfrage auswählen',
		'session' => 'Besuch',
		'session continuation' => 'Fortsetzung eines früheren Besuchs',
		'session hit count' => '{#} Aufrufe',
		'session hit count#1' => 'ein Aufruf',
		'session page count' => 'von {#} Seiten',
		'session page count#1' => 'von einer Seite',
		'session time over' => 'über',
		'sessions' => 'Besuche',
		'set' => 'gesetzt',
		'site search' => 'Seiteninterne Suche',
		'source/action' => 'Quelle/Aktion',
		'summary' => 'Zusammenfassung',
		'summary.unique visitors' => 'Unterschiedliche Besucher',
		'summary.first' => 'Erster',
		'summary.last' => 'Letzter',
		'texts' => 'Texte',
		'time' => 'Zeit',
		'time since page load' => 'Zeitangabe seit dem Laden der Seite',
		'tomo database' => 'tòmò-Datenbank',
		'tomo viewer title' => 'tòmò-Betrachter',
		'tomo viewer intro' => 'Wählen Sie eine Ansicht:',
		'unknown' => 'unbekannt',
		'update' => 'aktualisieren',
		'updated on date' => 'aktualisiert am {date}',
		'value' => 'Wert',
		'version' => 'Version',
		'view button' => 'anzeigen',
		'viewport size' => 'Fensterinnengröße',
		'visitor' => 'Besucher',
		'visitors' => 'Besucher',
		'visitor log' => 'Besucherprotokoll',
		'warning.access password unset' => 'Das Zugangskennwort ist nicht gesetzt. Ein Angreifer könnte sich in dieser Anwendung ohne ein Kennwort anmelden. Sie sollten das Kennwort möglichst schnell in der Konfigurationsdatei festlegen.',
		'warning.access password default' => 'Das Zugangskennwort ist noch auf den Vorgabewert eingestellt. Ein Angreifer könnte es leicht erraten und sich in dieser Anwendung anmelden. Sie sollten das Kennwort möglichst schnell in der Konfigurationsdatei ändern.',
		'warning.opt-out password unset' => 'Das Opt-out-Kennwort ist nicht gesetzt. Jeder Besucher Ihrer Website könnte sich ein eigenes Opt-out-Cookie erstellen und so die Besuchserfassung umgehen. Sie sollten das Kennwort in der Konfigurationsdatei festlegen.',
		'warning.opt-out password default' => 'Das Opt-out-Kennwort ist noch auf den Vorgabewert eingestellt. Jeder Besucher Ihrer Website könnte es leicht erraten, sich ein eigenes Opt-out-Cookie erstellen und so die Besuchserfassung umgehen. Sie sollten das Kennwort in der Konfigurationsdatei ändern.',

		'column:ActionData' => 'Aktionsdaten',
		'column:ActionId' => 'Aktions-ID',
		'column:ActionTime' => 'Aktionszeit',
		'column:ActionType' => 'Aktionstyp',
		'column:ActionUrl' => 'Aktions-URL',
		'column:ActivityTimespan' => 'Aktivitätsdauer',
		'column:AdBlock' => 'Werbefilter',
		'column:Browser' => 'Browser',
		'column:Campaign' => 'Kampagne',
		'column:CampaignRedirect' => 'CampaignRedirect',
		'column:City' => 'Stadt',
		'column:Cookies' => 'Cookies',
		'column:CountryCode' => 'Ländercode',
		'column:DNT' => 'DNT',
		'column:Domain' => 'Domain',
		'column:EntryPage' => 'Einstiegsseite',
		'column:ExitPage' => 'Ausstiegsseite',
		'column:Flash' => 'Flash',
		'column:IPAddress' => 'IP-Adresse',
		'column:IPVersion' => 'IP-Version',
		'column:Java' => 'Java',
		'column:JavaScript' => 'JavaScript',
		'column:JavaScriptData' => 'JavaScript-Daten',
		'column:Language' => 'Sprache',
		'column:Lat' => 'Breitengrad',
		'column:Lng' => 'Längengrad',
		'column:Mobile' => 'Mobiles Gerät',
		'column:NewVisitor' => 'Neuer Besucher',
		'column:OperatingSystem' => 'Betriebssystem',
		'column:OriginalPageviewId' => 'Ursprüngliche Seitenaufruf-ID',
		'column:PageLoadTime' => 'Seitenladezeit',
		'column:PageTitle' => 'Seitentitel',
		'column:PageLanguage' => 'Seitensprache',
		'column:PageviewId' => 'Seitenaufruf-ID',
		'column:PageviewTime' => 'Aufrufzeit',
		'column:PageviewUpdateTime' => 'Seitenaufruf-Aktualisierungszeit',
		'column:Prerender' => 'Prerender',
		'column:Provider' => 'Provider',
		'column:Quicktime' => 'Quicktime',
		'column:ReferrerHost' => 'Verweis-Host',
		'column:ReferrerUrlPath' => 'Verweis-Pfad',
		'column:ReferrerSsl' => 'Verweis-SSL',
		'column:Region' => 'Region',
		'column:ScreenAvailHeight' => 'Desktophöhe',
		'column:ScreenAvailWidth' => 'Desktopbreite',
		'column:ScreenColors' => 'Farbtiefe',
		'column:ScreenHeight' => 'Bildschirmhöhe',
		'column:ScreenWidth' => 'Bildschirmbreite',
		'column:SearchEngine' => 'Suchmaschine',
		'column:SearchImageUrl' => 'Bildsuche-URL',
		'column:SearchKeywords' => 'Suchbegriffe',
		'column:SearchResultPage' => 'Suchergebnisseite',
		'column:SessionDuration' => 'Besuchsdauer',
		'column:SessionId' => 'Besuchs-ID',
		'column:SessionStartTime' => 'Besuchsstartzeit',
		'column:SessionUpdateTime' => 'Besuchs-Aktualisierungszeit',
		'column:Silverlight' => 'Silverlight',
		'column:Ssl' => 'SSL',
		'column:UrlHash' => 'URL-Hash',
		'column:UrlPath' => 'URL-Pfad',
		'column:UrlQuery' => 'URL-Query',
		'column:UtcOffset' => 'UTC-Verschiebung',
		'column:ViewportHeight' => 'Seitenhöhe',
		'column:ViewportWidth' => 'Seitenbreite',
		'column:VisitorId' => 'Besucher-ID',
		'column:WindowsMedia' => 'Windows Media',

		'coldesc:ActionData' => 'Zusätzliche Daten zur durchgeführten Aktion',
		'coldesc:ActionId' => 'Interne ID der durchgeführten Aktion',
		'coldesc:ActionTime' => 'Zeit, wann die Aktion durchgeführt wurde',
		'coldesc:ActionType' => 'Interner Code des Typs der durchgeführten Aktion',
		'coldesc:ActionUrl' => 'URL der durchgeführten Aktion',
		'coldesc:ActivityTimespan' => 'Dauer, in der der Besucher auf der Seite aktiv war, in Sekunden',
		'coldesc:AdBlock' => 'Gibt an, ob der Besucher einen Werbefilter installiert hat',
		'coldesc:Browser' => 'Name und Version des Browsers',
		'coldesc:Campaign' => 'Name der Kampagne',
		'coldesc:CampaignRedirect' => 'Gibt an, ob der Seitenaufruf von einer Kampagnen-URL weggeleitet hat',
		'coldesc:City' => 'Stadt, in der der Besucher lokalisiert wurde',
		'coldesc:Cookies' => 'Gibt an, ob der Browser Cookies unterstützt',
		'coldesc:CountryCode' => 'Code des Lands, in dem der Besucher lokalisiert wurde',
		'coldesc:DNT' => 'Gibt an, ob der Browser den Do-Not-Track-Header übermittelt hat',
		'coldesc:Domain' => 'Domain der aufgerufenen Seite',
		'coldesc:EntryPage' => 'Gibt an, ob der Seitenaufruf der erste des Besuchs war',
		'coldesc:ExitPage' => 'Gibt an, ob der Seitenaufruf der letzte des Besuchs war',
		'coldesc:Flash' => 'Gibt an, ob der Browser das Flash-Plug-in unterstützt',
		'coldesc:IPAddress' => 'IP-Adresse des Besuchers, oder deren Hashwert',
		'coldesc:IPVersion' => 'IP-Version des Besuchers (4 or 6)',
		'coldesc:Java' => 'Gibt an, ob der Browser das Java-Plug-in unterstützt',
		'coldesc:JavaScript' => 'Gibt an, ob der Browser JavaScript unterstützt',
		'coldesc:JavaScriptData' => 'Gibt an, ob die Browserdaten mit JavaScript ermittelt wurden',
		'coldesc:Language' => 'Sortierte Sprachcodes, die vom Browser bevorzugt werden, kommagetrennt',
		'coldesc:Lat' => 'Breitengrad der ungefähren Geoposition',
		'coldesc:Lng' => 'Längengrad der ungefähren Geoposition',
		'coldesc:Mobile' => 'Gibt an, ob der Client ein mobiles Gerät ist',
		'coldesc:NewVisitor' => 'Gibt an, ob der Besucher zum ersten Mal gesehen wurde',
		'coldesc:OperatingSystem' => 'Betriebssystemname und -version',
		'coldesc:OriginalPageviewId' => 'Interne ID des ursprünglichen Seitenaufrufs',
		'coldesc:PageLoadTime' => 'Zeit, die zum Laden der Seite benötigt wurde, in Millisekunden',
		'coldesc:PageTitle' => 'Titel der aufgerufenen Seite',
		'coldesc:PageLanguage' => 'Sprache, in der die Seite angezeigt wurde',
		'coldesc:PageviewId' => 'Interne ID des Seitenaufrufs',
		'coldesc:PageviewTime' => 'Zeit, wann der Seitenaufruf gestartet wurde',
		'coldesc:PageviewUpdateTime' => 'Zeit, wann der Seitenaufruf zuletzt aktualisiert wurde',
		'coldesc:Prerender' => 'Gibt an, ob die Seite nur zum Pre-Rendering abgerufen wurde, aber nie auf dem Bildschirm angezeigt wurde',
		'coldesc:Provider' => 'Name des Internet-Providers des Besuchers',
		'coldesc:Quicktime' => 'Gibt an, ob der Browser das Quicktime-Plug-in unterstützt',
		'coldesc:ReferrerHost' => 'Hostname der URL der vorherigen Seite',
		'coldesc:ReferrerUrlPath' => 'Pfad der URL der vorherigen Seite',
		'coldesc:ReferrerSsl' => 'Gibt an, ob die vorherige Seite SSL-verschlüsselt war',
		'coldesc:Region' => 'Region, in der der Besucher lokalisiert wurde',
		'coldesc:ScreenAvailHeight' => 'Bildschirmhöhe, die Anwendungen zur Verfügung steht, in Pixeln',
		'coldesc:ScreenAvailWidth' => 'Bildschirmbreite, die Anwendungen zur Verfügung steht, in Pixeln',
		'coldesc:ScreenColors' => 'Bildschirm-Farbtiefe, in Bits',
		'coldesc:ScreenHeight' => 'Gesamte physische Bildschirmhöhe, in Pixeln',
		'coldesc:ScreenWidth' => 'Gesamte physische Bildschirmbreite, in Pixeln',
		'coldesc:SearchEngine' => 'Suchmaschine, die der Besucher genutzt hat',
		'coldesc:SearchImageUrl' => 'URL des Bilds, das von der Bildsuchmaschine gefunden wurde',
		'coldesc:SearchKeywords' => 'Suchbegriffe, die der Besucher in der Suchmaschine angegeben hat, falls verfügbar',
		'coldesc:SearchResultPage' => 'Seitennummer in den Suchergebnissen, falls verfügbar',
		'coldesc:SessionDuration' => 'Dauer des gesamten Besuchs, in Sekunden',
		'coldesc:SessionId' => 'Interne ID des Besuchs',
		'coldesc:SessionStartTime' => 'Zeit, wann der Besuch gestartet wurde',
		'coldesc:SessionUpdateTime' => 'Zeit, wann der Besuch zuletzt aktualisiert wurde',
		'coldesc:Silverlight' => 'Gibt an, ob der Browser das Silverlight-Plug-in unterstützt',
		'coldesc:Ssl' => 'Gibt an, ob die Seite SSL-verschlüsselt aufgerufen wurde',
		'coldesc:UrlHash' => 'Hash der URL der aufgerufenen Seite',
		'coldesc:UrlPath' => 'Pfad der URL der aufgerufenen Seite',
		'coldesc:UrlQuery' => 'Abfrageparameter der URL der aufgerufenen Seite',
		'coldesc:UtcOffset' => 'Abweichung der lokalen Zeit des Besuchers zu UTC, in Minuten',
		'coldesc:ViewportHeight' => 'Sichtbare Seitenhöhe im Browserfenster, in Pixeln',
		'coldesc:ViewportWidth' => 'Sichtbare Seitenbreite im Browserfenster, in Pixeln',
		'coldesc:VisitorId' => 'Interne ID des Besuchers',
		'coldesc:WindowsMedia' => 'Gibt an, ob der Browser das Windows-Media-Plug-in unterstützt',

		'colgroup:visit' => 'Besuch',
		'colgroup:visit/session' => 'Besuch',
		'colgroup:visit/source' => 'Quelle',
		'colgroup:visit/search' => 'Suche',
		'colgroup:visit/location' => 'Ort',
		'colgroup:page' => 'Seite',
		'colgroup:page/pageview' => 'Seitenaufruf',
		'colgroup:page/address' => 'Adresse',
		'colgroup:page/action' => 'Aktion',
		'colgroup:client' => 'Client',
		'colgroup:client/browser' => 'Browser',
		'colgroup:client/config' => 'Konfiguration',
		'colgroup:client/plugins' => 'Plugins',
		'colgroup:client/screen' => 'Bildschirm',
		'colgroup:vars' => 'Variablen',
		'colgroup:vars/visitor' => 'Besucher',
		'colgroup:vars/session' => 'Besuch',
		'colgroup:vars/pageview' => 'Seitenaufruf',
		'colgroup:advanced' => 'Weitere',
		'colgroup:advanced/ids' => 'IDs',
		'colgroup:advanced/data' => 'Daten',

		'op:between' => 'zwischen',
		'op:between-and' => 'und',
		'op:startswith' => 'beginnt mit',
		'op:endswith' => 'endet mit',
		'op:contains' => 'enthält',
		'op:inday' => 'am Tag',
		'op:inmonth' => 'im Monat',
		'op:inyear' => 'im Jahr',
		'op:isnull' => 'ist NULL',

		'contenttype:unknown' => 'unbekannter Dateityp',
		'contenttype:application/adobe.flash' => 'Adobe-Flash-Anwendung',
		'contenttype:application/java-class' => 'Java-Bytecode-Klasse',
		'contenttype:application/ms.installer' => 'Microsoft-Installationspaket',
		'contenttype:application/ms.script' => 'Microsoft-Skriptanwendung',
		'contenttype:application/ms.windows' => 'Microsoft-Windows-Anwendung',
		'contenttype:application/sh' => 'Shellskript-Anwendung',
		'contenttype:archive/7zip' => '7-Zip-Archiv',
		'contenttype:archive/android-package' => 'Android-Anwendungspaket',
		'contenttype:archive/bzip' => 'BZip-Archiv',
		'contenttype:archive/bzip2' => 'BZip2-Archiv',
		'contenttype:archive/cpio' => 'CPIO-Archiv',
		'contenttype:archive/debian-package' => 'Debian-Paket',
		'contenttype:archive/gzip' => 'GZip-Archiv',
		'contenttype:archive/jar' => 'Java-Archiv',
		'contenttype:archive/lzma' => 'LZMA-Archiv',
		'contenttype:archive/mozilla.xpinstall' => 'Mozilla-Add-on',
		'contenttype:archive/ms.cab' => 'Microsoft-Cabinet-Archiv',
		'contenttype:archive/rar' => 'RAR-Archiv',
		'contenttype:archive/tar' => 'TAR-Archiv',
		'contenttype:archive/zip' => 'ZIP-Archiv',
		'contenttype:audio/aac' => 'AAC audio',
		'contenttype:audio/ac3' => 'AC3 audio',
		'contenttype:audio/aiff' => 'AIFF audio',
		'contenttype:audio/midi' => 'MIDI audio',
		'contenttype:audio/mpeg' => 'MPEG audio',
		'contenttype:audio/mpeg4' => 'MPEG4 audio',
		'contenttype:audio/ms.wma' => 'Microsoft Windows Media audio',
		'contenttype:audio/ogg' => 'Ogg audio',
		'contenttype:audio/real' => 'Real audio',
		'contenttype:audio/wave' => 'WAVE audio',
		'contenttype:document/config' => 'Text-Konfigurationsdatei',
		'contenttype:document/csv' => 'Komma-getrennte Werte',
		'contenttype:document/diff' => 'Unified-Diff-Datei',
		'contenttype:document/email' => 'E-Mail-Dokument',
		'contenttype:document/ms.access' => 'Microsoft-Access-Datenbank',
		'contenttype:document/ms.excel' => 'Microsoft-Excel-Dokument',
		'contenttype:document/ms.htmlhelp' => 'Microsoft-HTML-Hilfe',
		'contenttype:document/ms.powerpoint' => 'Microsoft-PowerPoint-Präsentation',
		'contenttype:document/ms.visio' => 'Microsoft-Visio-Dokument',
		'contenttype:document/ms.word' => 'Microsoft-Word-Dokument',
		'contenttype:document/ms.word-template' => 'Microsoft-Word-Dokumentvorlage',
		'contenttype:document/ms.write' => 'Microsoft-Write-Dokument',
		'contenttype:document/ms.xps' => 'Microsoft-XPS-Dokument',
		'contenttype:document/oasis.chart' => 'OpenDocument-Diagramm',
		'contenttype:document/oasis.chart-template' => 'OpenDocument-Diagrammvorlage',
		'contenttype:document/oasis.database' => 'OpenDocument-Datenbank',
		'contenttype:document/oasis.formula' => 'OpenDocument formula',
		'contenttype:document/oasis.formula-template' => 'OpenDocument formula template',
		'contenttype:document/oasis.graphics' => 'OpenDocument-Zeichnung',
		'contenttype:document/oasis.presentation' => 'OpenDocument-Präsentation',
		'contenttype:document/oasis.presentation-template' => 'OpenDocument-Präsentationsvorlage',
		'contenttype:document/oasis.spreadsheet' => 'OpenDocument-Tabelle',
		'contenttype:document/oasis.spreadsheet-template' => 'OpenDocument-Tabellenvorlage',
		'contenttype:document/oasis.text' => 'OpenDocument-Text',
		'contenttype:document/oasis.text-master' => 'OpenDocument-Textmaster',
		'contenttype:document/oasis.text-template' => 'OpenDocument-Textvorlage',
		'contenttype:document/pdf' => 'Adobe-PDF-Dokument',
		'contenttype:document/plaintext' => 'Klartext',
		'contenttype:document/postscript' => 'PostScript-Dokument',
		'contenttype:document/rtf' => 'Rich-Text-Dokument',
		'contenttype:document/sun-staroffice.calc' => 'Sun StarOffice Calc document',
		'contenttype:document/sun-staroffice.draw' => 'Sun StarOffice Draw document',
		'contenttype:document/sun-staroffice.impress' => 'Sun StarOffice Impress presentation',
		'contenttype:document/sun-staroffice.writer' => 'Sun StarOffice Writer document',
		'contenttype:document/tex' => 'TeX-Document',
		'contenttype:document/vcalendar' => 'vCalendar-Datei',
		'contenttype:document/vcard' => 'vCard-Datei',
		'contenttype:document/wordperfect' => 'WordPerfect-Dokument',
		'contenttype:document/x509-cert' => 'X.509-Zertifikat',
		'contenttype:document/xml' => 'XML-Dokument',
		'contenttype:font/ms.eot' => 'Microsoft-Webschriftart',
		'contenttype:font/opentype' => 'OpenType-Schriftart',
		'contenttype:font/truetype' => 'TrueType-Schriftart',
		'contenttype:font/type1' => 'Type1-Schriftart',
		'contenttype:generic/google.earth-kml' => 'Google Earth KML',
		'contenttype:generic/google.earth-kmz' => 'Google Earth KMZ',
		'contenttype:generic/pgp-encrypted' => 'PGP-verschlüsselte Datei',
		'contenttype:generic/pgp-signature' => 'PGP-Signatur',
		'contenttype:image/adobe.dng' => 'Adobe digitales Negativ',
		'contenttype:image/adobe.photoshop' => 'Adobe-Photoshop-Bild',
		'contenttype:image/bitmap' => 'Bitmap-Bild',
		'contenttype:image/gif' => 'GIF-Bild',
		'contenttype:image/jpeg' => 'JPEG-Bild',
		'contenttype:image/jpeg2000' => 'JPEG2000-Bild',
		'contenttype:image/ms.icon' => 'Microsoft-Symbol-Bild',
		'contenttype:image/ms.wmf' => 'Microsoft Windows Metafile Zeichnung',
		'contenttype:image/png' => 'PNG-Bild',
		'contenttype:image/svg' => 'SVG-Zeichnung',
		'contenttype:image/tiff' => 'TIFF-Bild',
		'contenttype:image/xbitmap' => 'X bitmap image',
		'contenttype:image/xpixmap' => 'X pixmap image',
		'contenttype:source/asm' => 'Assembler-Quelltext',
		'contenttype:source/basic' => 'BASIC-Quelltext',
		'contenttype:source/c' => 'C/C++-Quelltext',
		'contenttype:source/c-header' => 'C/C++-Quelltextheader',
		'contenttype:source/cpp' => 'C/C++-Quelltext',
		'contenttype:source/cpp-header' => 'C/C++-Quelltextheader',
		'contenttype:source/csharp' => 'C#-Quelltext',
		'contenttype:source/css' => 'Cascading stylesheet',
		'contenttype:source/html' => 'HTML-Quelltext',
		'contenttype:source/java' => 'Java-Quelltext',
		'contenttype:source/javascript' => 'JavaScript-Quelltext',
		'contenttype:source/ms.visual-basic' => 'Visual-Basic-Quelltext',
		'contenttype:source/pascal' => 'Pascal-Quelltext',
		'contenttype:source/perl' => 'Perl-Quelltext',
		'contenttype:source/php' => 'PHP-Quelltext',
		'contenttype:source/python' => 'Python-Quelltext',
		'contenttype:source/ruby' => 'Ruby-Quelltext',
		'contenttype:source/wsdl' => 'WSDL-Quelltext',
		'contenttype:source/xaml' => 'XAML-Quelltext',
		'contenttype:source/xhtml' => 'XHTML-Webseite',
		'contenttype:source/xml-dtd' => 'XML document type definition',
		'contenttype:source/xsd' => 'XML-Schema',
		'contenttype:source/xsl' => 'XML-Stylesheet',
		'contenttype:source/xslt' => 'XSL transformation file',
		'contenttype:source/xul' => 'Mozilla-XUL-Quelltext',
		'contenttype:video/3gpp' => '3GPP-Video',
		'contenttype:video/apple.quicktime' => 'Apple-QuickTime-Video',
		'contenttype:video/h264' => 'H.264-Video',
		'contenttype:video/mjp2' => 'MJP2-Video',
		'contenttype:video/mpeg' => 'MPEG-Video',
		'contenttype:video/mpeg4' => 'MPEG4-Video',
		'contenttype:video/ms.asf' => 'Microsoft-ASF-Video',
		'contenttype:video/ms.avi' => 'Microsoft-AVI-Video',
		'contenttype:video/ms.vc1' => 'Microsoft-VC-1-Video',
		'contenttype:video/ms.wmv' => 'Microsoft-Windows-Media-Video',
		'contenttype:video/ogg' => 'Ogg-Video',

		'time:none' => 'keine Zeit',
		'time:never' => 'nie',
		'time:now' => 'jetzt',
		'time:combine' => ' und ',
		'time:pattern point past' => 'vor {time}',
		'time:pattern point future' => 'in {time}',
		'time:pattern span past' => 'seit {time}',
		'time:pattern span future' => 'für {time}',
		'time:pattern before past' => '{time} zuvor',
		'time:pattern before future' => '{time} später',
		'time.1:years' => '{#} Jahre',
		'time.1:years#1' => 'ein Jahr',
		'time.1:months' => '{#} Monate',
		'time.1:months#1' => 'einen Monat',
		'time.1:days' => '{#} Tage',
		'time.1:days#1' => 'einen Tag',
		'time.1:hours' => '{#} Stunden',
		'time.1:hours#1' => 'eine Stunde',
		'time.1:minutes' => '{#} Minuten',
		'time.1:minutes#1' => 'eine Minute',
		'time.1:seconds' => '{#} Sekunden',
		'time.1:seconds#1' => 'eine Sekunde',
		'time.2:years' => '{#} Jahren',
		'time.2:years#1' => 'einem Jahr',
		'time.2:months' => '{#} Monaten',
		'time.2:months#1' => 'einem Monat',
		'time.2:days' => '{#} Tagen',
		'time.2:days#1' => 'einem Tag',
		'time.2:hours' => '{#} Stunden',
		'time.2:hours#1' => 'einer Stunde',
		'time.2:minutes' => '{#} Minuten',
		'time.2:minutes#1' => 'einer Minute',
		'time.2:seconds' => '{#} Sekunden',
		'time.2:seconds#1' => 'einer Sekunde',
		'timezone:CET' => 'MEZ',
		'timezone:CEST' => 'MESZ',
		'month:1' => 'Jan',
		'month:2' => 'Feb',
		'month:3' => 'Mrz',
		'month:4' => 'Apr',
		'month:5' => 'Mai',
		'month:6' => 'Jun',
		'month:7' => 'Jul',
		'month:8' => 'Aug',
		'month:9' => 'Sep',
		'month:10' => 'Okt',
		'month:11' => 'Nov',
		'month:12' => 'Dez',
		'monthlong:1' => 'Januar',
		'monthlong:2' => 'Februar',
		'monthlong:3' => 'März',
		'monthlong:4' => 'April',
		'monthlong:5' => 'Mai',
		'monthlong:6' => 'Juni',
		'monthlong:7' => 'Juli',
		'monthlong:8' => 'August',
		'monthlong:9' => 'September',
		'monthlong:10' => 'Oktober',
		'monthlong:11' => 'November',
		'monthlong:12' => 'Dezember',
		'weekday:1' => 'Mo',
		'weekday:2' => 'Di',
		'weekday:3' => 'Mi',
		'weekday:4' => 'Do',
		'weekday:5' => 'Fr',
		'weekday:6' => 'Sa',
		'weekday:7' => 'So',
		'weekdaylong:1' => 'Montag',
		'weekdaylong:2' => 'Dienstag',
		'weekdaylong:3' => 'Mittwoch',
		'weekdaylong:4' => 'Donnerstag',
		'weekdaylong:5' => 'Freitag',
		'weekdaylong:6' => 'Samstag',
		'weekdaylong:7' => 'Sonntag',

		'browser:galeon' => 'Galeon',
		'browser:gecko/camino' => 'Camino (Gecko)',
		'browser:gecko/ff' => 'Firefox',
		'browser:gecko/kmeleon' => 'K-Meleon (Gecko)',
		'browser:gecko/nn' => 'Netscape',
		'browser:gecko/seamonkey' => 'SeaMonkey (Gecko)',
		'browser:icab' => 'iCab',
		'browser:ie/avant' => 'Avant (IE)',
		'browser:ie/ie' => 'Internet Explorer',
		'browser:ie/ie/compat' => 'Internet Explorer (Kompatibilitätsmodus)',
		'browser:ie/maxthon' => 'Maxthon (IE)',
		'browser:ie/mobile' => 'Mobile Internet Explorer',
		'browser:kindle' => 'Amazon Kindle',
		'browser:opera/mini' => 'Opera Mini',
		'browser:opera/mobile' => 'Opera Mobile',
		'browser:opera/opera' => 'Opera',
		'browser:webkit/chrome' => 'Chrome',
		'browser:webkit/chrome/chromium' => 'Chromium',
		'browser:webkit/chrome/frame' => 'Chrome Frame für Internet Explorer',
		'browser:webkit/konq' => 'Konqueror (Webkit)',
		'browser:webkit/mobile' => 'Mobile Safari',
		'browser:webkit/omniweb' => 'OmniWeb (Webkit)',
		'browser:webkit/safari' => 'Safari',

		'os:blackberry' => 'BlackBerry',
		'os:java/me' => 'Java Mobile',
		'os:java/me/midp' => 'Java MIDP',
		'os:mac' => 'MacOS',
		'os:mac/ipad' => 'iPad OS',
		'os:mac/iphone' => 'iPhone OS',
		'os:mac/x' => 'MacOS X',
		'os:os2' => 'OS/2',
		'os:palm' => 'PalmOS',
		'os:symbian' => 'Symbian',
		'os:unix' => 'Unix',
		'os:unix/freebsd' => 'FreeBSD',
		'os:unix/linux' => 'Linux',
		'os:unix/linux/android' => 'Android',
		'os:unix/sun' => 'Solaris',
		'os:webos' => 'webOS',
		'os:win' => 'Windows',
		'os:win/ce' => 'Windows CE',
		'os:win/ce/mobile' => 'Windows Mobile',
		'os:win/ce/phone' => 'Windows Phone',
		'os:win/me' => 'Windows ME',
		'os:win/nt' => 'Windows NT',
		'os:win/nt/arm' => 'Windows NT auf ARM',
		'os:win/nt/2000' => 'Windows 2000',
		'os:win/nt/2003' => 'Windows Server 2003',
		'os:win/nt/7' => 'Windows 7',
		'os:win/nt/8' => 'Windows 8',
		'os:win/nt/8/arm' => 'Windows 8 RT',
		'os:win/nt/8.1' => 'Windows 8.1',
		'os:win/nt/8.1/arm' => 'Windows 8.1 RT',
		'os:win/nt/vista' => 'Windows Vista',
		'os:win/nt/xp' => 'Windows XP',
		'os:win/phone' => 'Windows Phone',
		'os:win/phone/7' => 'Windows Phone 7',
		'os:win/phone/7.5' => 'Windows Phone 7.5',
		'os:win/phone/8.0' => 'Windows Phone 8',

		// Source: http://de.wikipedia.org/wiki/ISO-3166-1-Kodierliste
		// (Common names preferred)
		'country:AD' => 'Andorra',
		'country:AE' => 'Vereinigte Arabische Emirate',
		'country:AF' => 'Afghanistan',
		'country:AG' => 'Antigua und Barbuda',
		'country:AI' => 'Anguilla',
		'country:AL' => 'Albanien',
		'country:AM' => 'Armenien',
		'country:AO' => 'Angola',
		'country:AQ' => 'Antarktis',   // Antarktis (Sonderstatus durch Antarktis-Vertrag)
		'country:AR' => 'Argentinien',
		'country:AS' => 'Amerikanisch-Samoa',
		'country:AT' => 'Österreich',
		'country:AU' => 'Australien',
		'country:AW' => 'Aruba',
		'country:AX' => 'Åland',
		'country:AZ' => 'Aserbaidschan',
		'country:BA' => 'Bosnien und Herzegowina',
		'country:BB' => 'Barbados',
		'country:BD' => 'Bangladesch',
		'country:BE' => 'Belgien',
		'country:BF' => 'Burkina Faso',
		'country:BG' => 'Bulgarien',
		'country:BH' => 'Bahrain',
		'country:BI' => 'Burundi',
		'country:BJ' => 'Benin',
		'country:BL' => 'Saint-Barthélemy',
		'country:BM' => 'Bermuda',
		'country:BN' => 'Brunei',   // Brunei Darussalam
		'country:BO' => 'Bolivien',
		'country:BQ' => 'Bonaire, Sint Eustatius und Saba',   // Bonaire, Sint Eustatius und Saba (Niederlande)
		'country:BR' => 'Brasilien',
		'country:BS' => 'Bahamas',
		'country:BT' => 'Bhutan',
		'country:BV' => 'Bouvetinsel',
		'country:BW' => 'Botswana',
		'country:BY' => 'Belarus (Weißrussland)',
		'country:BZ' => 'Belize',
		'country:CA' => 'Kanada',
		'country:CC' => 'Kokosinseln',
		'country:CD' => 'Kongo',   // Kongo, Demokratische Republik (ehem. Zaire)
		'country:CF' => 'Zentralafrikanische Republik',
		'country:CG' => 'Republik Kongo',
		'country:CH' => 'Schweiz',   // Schweiz (Confoederatio Helvetica)
		'country:CI' => 'Côte d’Ivoire (Elfenbeinküste)',
		'country:CK' => 'Cookinseln',
		'country:CL' => 'Chile',
		'country:CM' => 'Kamerun',
		'country:CN' => 'China',   // China, Volksrepublik
		'country:CO' => 'Kolumbien',
		'country:CR' => 'Costa Rica',
		'country:CU' => 'Kuba',
		'country:CV' => 'Kap Verde',
		'country:CW' => 'Curaçao',
		'country:CX' => 'Weihnachtsinsel',
		'country:CY' => 'Zypern',
		'country:CZ' => 'Tschechische Republik',
		'country:DE' => 'Deutschland',
		'country:DJ' => 'Dschibuti',
		'country:DK' => 'Dänemark',
		'country:DM' => 'Dominica',
		'country:DO' => 'Dominikanische Republik',
		'country:DZ' => 'Algerien',
		'country:EC' => 'Ecuador',
		'country:EE' => 'Estland',
		'country:EG' => 'Ägypten',
		'country:EH' => 'Westsahara',
		'country:ER' => 'Eritrea',
		'country:ES' => 'Spanien',
		'country:ET' => 'Äthiopien',
		'country:FI' => 'Finnland',
		'country:FJ' => 'Fidschi',
		'country:FK' => 'Falklandinseln',
		'country:FM' => 'Mikronesien',
		'country:FO' => 'Färöer',
		'country:FR' => 'Frankreich',
		'country:GA' => 'Gabun',
		'country:GB' => 'Vereinigtes Königreich',   // Vereinigtes Königreich Großbritannien und Nordirland
		'country:GD' => 'Grenada',
		'country:GE' => 'Georgien',
		'country:GF' => 'Französisch-Guayana',
		'country:GG' => 'Guernsey',   // Guernsey (Kanalinsel)
		'country:GH' => 'Ghana',
		'country:GI' => 'Gibraltar',
		'country:GL' => 'Grönland',
		'country:GM' => 'Gambia',
		'country:GN' => 'Guinea',
		'country:GP' => 'Guadeloupe',
		'country:GQ' => 'Äquatorialguinea',
		'country:GR' => 'Griechenland',
		'country:GS' => 'Südgeorgien und die Südlichen Sandwichinseln',
		'country:GT' => 'Guatemala',
		'country:GU' => 'Guam',
		'country:GW' => 'Guinea-Bissau',
		'country:GY' => 'Guyana',
		'country:HK' => 'Hongkong',
		'country:HM' => 'Heard und McDonaldinseln',
		'country:HN' => 'Honduras',
		'country:HR' => 'Kroatien',
		'country:HT' => 'Haiti',
		'country:HU' => 'Ungarn',
		'country:ID' => 'Indonesien',
		'country:IE' => 'Irland',
		'country:IL' => 'Israel',
		'country:IM' => 'Insel Man',
		'country:IN' => 'Indien',
		'country:IO' => 'Britisches Territorium im Indischen Ozean',
		'country:IQ' => 'Irak',
		'country:IR' => 'Iran',   // Iran, Islamische Republik
		'country:IS' => 'Island',
		'country:IT' => 'Italien',
		'country:JE' => 'Jersey',   // Jersey (Kanalinsel)
		'country:JM' => 'Jamaika',
		'country:JO' => 'Jordanien',
		'country:JP' => 'Japan',
		'country:KE' => 'Kenia',
		'country:KG' => 'Kirgisistan',
		'country:KH' => 'Kambodscha',
		'country:KI' => 'Kiribati',
		'country:KM' => 'Komoren',
		'country:KN' => 'St. Kitts und Nevis',
		'country:KP' => 'Nordkorea',   // Korea, Demokratische Volksrepublik (Nordkorea)
		'country:KR' => 'Südkorea',   // Korea, Republik (Südkorea)
		'country:KW' => 'Kuwait',
		'country:KY' => 'Kaimaninseln',
		'country:KZ' => 'Kasachstan',
		'country:LA' => 'Laos',   // Laos, Demokratische Volksrepublik
		'country:LB' => 'Libanon',
		'country:LC' => 'St. Lucia',
		'country:LI' => 'Liechtenstein',
		'country:LK' => 'Sri Lanka',
		'country:LR' => 'Liberia',
		'country:LS' => 'Lesotho',
		'country:LT' => 'Litauen',
		'country:LU' => 'Luxemburg',
		'country:LV' => 'Lettland',
		'country:LY' => 'Libyen',   // Libysch-Arabische Dschamahirija (Libyen)
		'country:MA' => 'Marokko',
		'country:MC' => 'Monaco',
		'country:MD' => 'Moldawien',   // Moldawien (Republik Moldau)
		'country:ME' => 'Montenegro',
		'country:MF' => 'Saint-Martin (franz. Teil)',
		'country:MG' => 'Madagaskar',
		'country:MH' => 'Marshallinseln',
		'country:MK' => 'Mazedonien',   // Mazedonien, ehem. jugoslawische Republik
		'country:ML' => 'Mali',
		'country:MM' => 'Myanmar (Burma)',
		'country:MN' => 'Mongolei',
		'country:MO' => 'Macao',
		'country:MP' => 'Nördliche Marianen',
		'country:MQ' => 'Martinique',
		'country:MR' => 'Mauretanien',
		'country:MS' => 'Montserrat',
		'country:MT' => 'Malta',
		'country:MU' => 'Mauritius',
		'country:MV' => 'Malediven',
		'country:MW' => 'Malawi',
		'country:MX' => 'Mexiko',
		'country:MY' => 'Malaysia',
		'country:MZ' => 'Mosambik',
		'country:NA' => 'Namibia',
		'country:NC' => 'Neukaledonien',
		'country:NE' => 'Niger',
		'country:NF' => 'Norfolkinsel',
		'country:NG' => 'Nigeria',
		'country:NI' => 'Nicaragua',
		'country:NL' => 'Niederlande',
		'country:NO' => 'Norwegen',
		'country:NP' => 'Nepal',
		'country:NR' => 'Nauru',
		'country:NU' => 'Niue',
		'country:NZ' => 'Neuseeland',
		'country:OM' => 'Oman',
		'country:PA' => 'Panama',
		'country:PE' => 'Peru',
		'country:PF' => 'Französisch-Polynesien',
		'country:PG' => 'Papua-Neuguinea',
		'country:PH' => 'Philippinen',
		'country:PK' => 'Pakistan',
		'country:PL' => 'Polen',
		'country:PM' => 'Saint-Pierre und Miquelon',
		'country:PN' => 'Pitcairninseln',
		'country:PR' => 'Puerto Rico',
		'country:PS' => 'Palästinensische Autonomiegebiete',
		'country:PT' => 'Portugal',
		'country:PW' => 'Palau',
		'country:PY' => 'Paraguay',
		'country:QA' => 'Katar',
		'country:RE' => 'Réunion',
		'country:RO' => 'Rumänien',
		'country:RS' => 'Serbien',
		'country:RU' => 'Russland',   // Russische Föderation
		'country:RW' => 'Ruanda',
		'country:SA' => 'Saudi-Arabien',
		'country:SB' => 'Salomonen',
		'country:SC' => 'Seychellen',
		'country:SD' => 'Sudan',
		'country:SE' => 'Schweden',
		'country:SG' => 'Singapur',
		'country:SH' => 'St. Helena',
		'country:SI' => 'Slowenien',
		'country:SJ' => 'Svalbard und Jan Mayen',
		'country:SK' => 'Slowakei',
		'country:SL' => 'Sierra Leone',
		'country:SM' => 'San Marino',
		'country:SN' => 'Senegal',
		'country:SO' => 'Somalia',
		'country:SR' => 'Suriname',
		'country:ST' => 'São Tomé und Príncipe',
		'country:SV' => 'El Salvador',
		'country:SX' => 'Sint Maarten (niederl. Teil)',
		'country:SY' => 'Syrien',   // Syrien, Arabische Republik
		'country:SZ' => 'Swasiland',
		'country:TC' => 'Turks- und Caicosinseln',
		'country:TD' => 'Tschad',
		'country:TF' => 'Französische Süd- und Antarktisgebiete',
		'country:TG' => 'Togo',
		'country:TH' => 'Thailand',
		'country:TJ' => 'Tadschikistan',
		'country:TK' => 'Tokelau',
		'country:TL' => 'Osttimor (Timor-Leste)',
		'country:TM' => 'Turkmenistan',
		'country:TN' => 'Tunesien',
		'country:TO' => 'Tonga',
		'country:TR' => 'Türkei',
		'country:TT' => 'Trinidad und Tobago',
		'country:TV' => 'Tuvalu',
		'country:TW' => 'Taiwan',   // Republik China (Taiwan)
		'country:TZ' => 'Tansania',   // Tansania, Vereinigte Republik
		'country:UA' => 'Ukraine',
		'country:UG' => 'Uganda',
		'country:UM' => 'United States Minor Outlying Islands',
		'country:US' => 'Vereinigte Staaten von Amerika',
		'country:UY' => 'Uruguay',
		'country:UZ' => 'Usbekistan',
		'country:VA' => 'Vatikanstadt',
		'country:VC' => 'St. Vincent und die Grenadinen',
		'country:VE' => 'Venezuela',
		'country:VG' => 'Britische Jungferninseln',
		'country:VI' => 'Amerikanische Jungferninseln',
		'country:VN' => 'Vietnam',
		'country:VU' => 'Vanuatu',
		'country:WF' => 'Wallis und Futuna',
		'country:WS' => 'Samoa',
		'country:YE' => 'Jemen',
		'country:YT' => 'Mayotte',
		'country:ZA' => 'Südafrika',
		'country:ZM' => 'Sambia',
		'country:ZW' => 'Simbabwe',

		'region:AT:Karnten' => 'Kärnten',
		'region:AT:Niederosterreich' => 'Niederösterreich',
		'region:AT:Oberosterreich' => 'Oberösterreich',
		'region:AT:#nofallback' => true,

		'region:CH:Ausser-Rhoden' => 'Appenzell Ausserrhoden',
		'region:CH:Fribourg' => 'Freiburg',
		'region:CH:Geneve' => 'Genf',
		'region:CH:Graubunden' => 'Graubünden',
		'region:CH:Inner-Rhoden' => 'Appenzell Innerrhoden',
		'region:CH:Neuchatel' => 'Neuenburg',
		'region:CH:Ticino' => 'Tessin',
		'region:CH:Valais' => 'Wallis',
		'region:CH:Vaud' => 'Waadt',
		'region:CH:Zurich' => 'Zürich',
		'region:CH:#nofallback' => true,

		// Source: http://www.statoids.com/ude.html (German name)
		'region:DE:Baden-Wurttemberg' => 'Baden-Württemberg',
		'region:DE:Thuringen' => 'Thüringen',
		'region:DE:#nofallback' => true,

		// The following listing is probably far from complete at the moment and the raw city names
		// in the GeoLite database seem to be changing from time to time, so translating city names
		// may not be a good idea to spend your time.
		'city:AT:Vienna' => 'Wien',
		'city:AT:#nofallback' => true,

		'city:DE:Frankfurt Am Main' => 'Frankfurt am Main',
		'city:DE:Munich' => 'München',
		'city:DE:Nuremberg' => 'Nürnberg',
		'city:DE:#nofallback' => true,

		'language:ar' => 'arabisch',
		'language:be' => 'weißrussisch',
		'language:bg' => 'bulgarisch',
		'language:bs' => 'bosnisch',
		'language:ca' => 'katalanisch',
		'language:co' => 'korsisch',
		'language:cs' => 'tschechisch',
		'language:cy' => 'walisisch',
		'language:da' => 'dänisch',
		'language:de' => 'deutsch',
		'language:el' => 'griechisch',
		'language:en' => 'englisch',
		'language:eo' => 'esperanto',
		'language:es' => 'spanisch',
		'language:et' => 'estländisch',
		'language:fa' => 'persisch',
		'language:fi' => 'finnisch',
		'language:fr' => 'französisch',
		'language:ga' => 'irisch',
		'language:he' => 'hebräisch',
		'language:hi' => 'hindi',
		'language:hr' => 'kroatisch',
		'language:hu' => 'ungarisch',
		'language:hy' => 'armenisch',
		'language:id' => 'indonesisch',
		'language:is' => 'isländisch',
		'language:it' => 'italienisch',
		'language:ja' => 'japanisch',
		'language:ka' => 'georgisch',
		'language:kk' => 'kasachisch',
		'language:ko' => 'koreanisch',
		'language:ku' => 'kurdisch',
		'language:la' => 'latein',
		'language:lb' => 'luxemburgisch',
		'language:lt' => 'litauisch',
		'language:lv' => 'lettisch',
		'language:mk' => 'makedonisch',
		'language:mn' => 'mongolisch',
		'language:mt' => 'maltesisch',
		'language:my' => 'burmesisch',
		'language:nb' => 'norwegisch (bokmål)',
		'language:nl' => 'niederländisch',
		'language:nn' => 'norwegisch (nynorsk)',
		'language:no' => 'norwegisch',
		'language:pl' => 'polnisch',
		'language:pt' => 'portugiesisch',
		'language:ro' => 'rumänisch',
		'language:ru' => 'russisch',
		'language:sk' => 'slowakisch',
		'language:sl' => 'slowenisch',
		'language:sq' => 'albanisch',
		'language:sr' => 'serbisch',
		'language:sv' => 'schwedisch',
		'language:th' => 'thai',
		'language:tr' => 'türkisch',
		'language:uk' => 'ukrainisch',
		'language:vi' => 'vietnamesisch',
		'language:zh' => 'chinesisch',
		);

	protected function FormatNumber($number, $decimals, $html, $trim)
	{
		$str = number_format($number, $decimals, ',', ' ');
		if ($trim && strpos($str, ',') !== false)
		{
			$str = rtrim($str, '0');
			$str = rtrim($str, ',');
		}
		if ($html)
		{
			if ($number >= 10000)
			{
				$str = str_replace(' ', "\xE2\x80\xAF" /* UTF-8: U+202F Narrow No-Break Space */, $str);
			}
			else
			{
				$str = str_replace(' ', '', $str);
			}
		}
		return $str;
	}

	protected function DoParseNumber($str, $recoveryValue)
	{
		$str = str_replace('.', '', $str);
		$str = str_replace(' ', '', $str);
		$str = str_replace(',', '.', $str);
		if (!is_numeric($str))
		{
			if (isset($recoveryValue))
				return $recoveryValue;
			throw new InvalidArgumentException('Invalid numeric value format.');
		}

		if (strpos($str, '.') !== false)
			return floatval($str);
		else
			return intval($str);
	}

	protected function FormatOrdinalNumber($number, $html)
	{
		return $number . '.';
	}

	protected function FormatTime($datetime, $details, $html)
	{
		$sp = "\xC2\xA0";   // "\xC2\xA0" = utf8_encode("\xA0")
		$lsp = "\xE2\x80\x87";   // UTF-8 for U+2007 (Figure Space, no break)

		$str = '';

		if ($details & UnbTimeFormat::Weekday)   // Mo
		{
			$str .= (strlen($str) ? $sp : '') .
				UnbLocale::Translate('weekday:' . $datetime->format('N')) .
				($details & ~UnbTimeFormat::Weekday ? ',' : '');
		}
		else if ($details & UnbTimeFormat::WeekdayLong)   // Montag
		{
			$str .= (strlen($str) ? $sp : '') .
				UnbLocale::Translate('weekdaylong:' . $datetime->format('N')) .
				($details & ~UnbTimeFormat::WeekdayLong ? ',' : '');
		}

		if ($details & UnbTimeFormat::Date)   // 01.01.2000
		{
			$str .= (strlen($str) ? $sp : '') .
				$datetime->format('d.m.Y');
			$haveDate = true;
		}
		else if ($details & UnbTimeFormat::DateLong)   // 1. Januar 2000
		{
			$str .= (strlen($str) ? $sp : '') .
				$datetime->format('j.') . $sp .
				UnbLocale::Translate('monthlong:' . $datetime->format('n')) . $sp .
				$datetime->format('Y');
			$haveDate = true;
		}

		if ($details & UnbTimeFormat::TimeSec)   // 12:15:00
		{
			$str .= (strlen($str) ? ($haveDate && $html ? $lsp : $sp) : '') .
				$datetime->format('H:i:s');
		}
		else if ($details & UnbTimeFormat::Time)   // 12:15
		{
			$str .= (strlen($str) ? ($haveDate && $html ? $lsp : $sp) : '') .
				$datetime->format('H:i');
		}

		if ($details & UnbTimeFormat::TimeZone)   // MEZ
		{
			$str .= (strlen($str) ? $sp : '') .
				UnbLocale::Translate('timezone:' . $datetime->format('T'), true);
		}

		return $str;
	}

	protected function FormatRelativeTime($diff, $context, $html)
	{
		switch ($context)
		{
			case UnbTimeContext::Point:
				if ($diff->invert)   // vor 2 Jahren
					$grammar = 2;
				else   // in 2 Jahren
					$grammar = 2;
				break;

			case UnbTimeContext::Span:
				if ($diff->invert)   // seit 2 Jahren
					$grammar = 2;
				else   // für 2 Jahre
					$grammar = 1;
				break;

			case UnbTimeContext::Before:
				if ($diff->invert)   // 2 Jahre zuvor
					$grammar = 1;
				else   // 2 Jahre später
					$grammar = 1;
				break;
		}

		$parts = array();
		if ($diff->y && count($parts) < 2)
			$parts[] = UnbLocale::NoBreak(UnbLocale::Translate('time.' . $grammar . ':years', $diff->y));
		if ($diff->m && count($parts) < 2)
			$parts[] = UnbLocale::NoBreak(UnbLocale::Translate('time.' . $grammar . ':months', $diff->m));
		if ($diff->d && count($parts) < 2)
			$parts[] = UnbLocale::NoBreak(UnbLocale::Translate('time.' . $grammar . ':days', $diff->d));
		if ($diff->h && count($parts) < 2)
			$parts[] = UnbLocale::NoBreak(UnbLocale::Translate('time.' . $grammar . ':hours', $diff->h));
		if ($diff->i && count($parts) < 2)
			$parts[] = UnbLocale::NoBreak(UnbLocale::Translate('time.' . $grammar . ':minutes', $diff->i));
		if ($diff->s && count($parts) < 2)
			$parts[] = UnbLocale::NoBreak(UnbLocale::Translate('time.' . $grammar . ':seconds', $diff->s));

		$str = '';
		foreach ($parts as $part)
		{
			$str .= (strlen($str) ? UnbLocale::Translate('time:combine') : '') .
				$part;
		}

		switch ($context)
		{
			case UnbTimeContext::Point:
				if ($diff->invert)   // vor 2 Jahren
					$str = self::Translate('time:pattern point past', 'time', $str);
				else   // in 2 Jahren
					$str = self::Translate('time:pattern point future', 'time', $str);
				break;

			case UnbTimeContext::Span:
				if ($diff->invert)   // seit 2 Jahren
					$str = self::Translate('time:pattern span past', 'time', $str);
				else   // für 2 Jahre
					$str = self::Translate('time:pattern span future', 'time', $str);
				break;

			case UnbTimeContext::Before:
				if ($diff->invert)   // 2 Jahre zuvor
					$str = self::Translate('time:pattern before past', 'time', $str);
				else   // 2 Jahre später
					$str = self::Translate('time:pattern before future', 'time', $str);
				break;
		}
		return $str;
	}

}

// Automatically register this locale
UnbLocale::Register(new UnbLocale_de_DE());

?>
